AngularJS Question

"Ionic serve" error

Running

ionic serve
on my ionic app in the command line throws this error:

ionic serve error

Answer

It is a common error. Ionic CLI version 2.1.7 is unstable. So uninstall ionic: npm uninstall -g ionic and install version 2.0.0: npm install -g ionic@2.0.0.

It works fine.